package com.flossom.miniProgram.service;

import com.flossom.common.core.domain.entity.*;
import com.flossom.common.core.domain.ret.WxModeRet;

import java.util.List;

/**
 * 仪器列Service接口
 *
 * @author flossom
 * @date 2024-01-06
 */
public interface IWxInstrumentService {
    WxInstrumentSerial getInstrumentInfoBySerial(String serial);

    void binding(String serial, String serialImage, Boolean isImmediatelyBinding);

    void exchangeBinding(String serial);

    List<WxInstrument> bindingInstrumentList();

    List<WxInstrument>  unbindingInstrumentInfoList();

    List<WxInstrumentFileRelate> getInstrumentFileRelateByInstrumentId(Long instrumentId, Integer classify);

    List<WxModeRet> getInstrumentModeByInstrumentId(Long instrumentId);

    WxInstrumentSerial determineSerialIsSameInstrument(String serial, Long instrumentId);

    String upgrade(Long instrumentId);
}
